//=========================================================
//  MusE
//  Linux Music Editor
//    $Id: ctrlpanel.h,v 1.2 2004/01/17 11:34:00 wschweer Exp $
//  (C) Copyright 1999-2001 Werner Schweer (ws@seh.de)
//=========================================================

#ifndef __CTRL_PANEL_H__
#define __CTRL_PANEL_H__

#include <qwidget.h>

class MidiController;
class QLabel;
class QPopupMenu;
class QPushButton;
class MidiEditor;

//---------------------------------------------------------
//   CtrlPanel
//---------------------------------------------------------

class CtrlPanel: public QWidget {
      QPopupMenu* pop;
      QPushButton* selCtrl;
      MidiEditor* editor;

      Q_OBJECT

   signals:
      void destroyPanel();
      void controllerChanged(int);

   public slots:
      void setHeight(int);
      void ctrlPopup();

   public:
      CtrlPanel(QWidget*, MidiEditor*, const char* name = 0);
      };

#endif
